/**
Header, Footer, Base
 */

@media screen and (max-width: 1199px) {
    :root {
        /** settings **/
        --hide-speed: 0.3s;
        --open-mmenu-speed: 0.5s;

        --open-slide-popup-spd: 0.5s;


        --fs-default: 12px;
        --fs-btn-default: 13px;

        --icon-size: 24px;
    }

    /** BS **/
    .container,
    .container-fluid,
    .container-xxl,
    .container-xl,
    .container-lg,
    .container-md,
    .container-sm {
        --bs-gutter-x: 1.475rem;
    }

    .row {
        --bs-gutter-x: 0.75rem;
    }

    /* END BS */

    body {
        background: url(assets/images/bg-m.png) no-repeat fixed;
        background-size: cover;
        background-position-y: 60px;
    }

    .main {
        padding-top: 60px;
        padding-bottom: 90px;
    }

    h1, .h1,
    h2, .h2 {
        font-size: 19px;
        line-height: 28px;
        font-weight: 600;
    }

    h1, .h1,
    h2, .h2 {
        margin-bottom: 12px;
    }

    h3, h3 {
        font-size: 16px;
        line-height: 24px;
    }

    .page--title {
        margin-bottom: 16px;
    }

    .page--title h1 {
        line-height: 28px;
    }

    /** typical **/
    .btn {
        font-size: var(--fs-btn-default);
        padding: 6px 13px;
        border-width: 1px;
        line-height: 20px;
    }

    .btn.btn-small {
        padding: 3px 13px;
    }

    .btn.btn-hight {
        padding: 12px 18px;
    }

    /** typical **/
    .app-invite {
        height: 55px;
        transition: height var(--hide-speed);
        overflow: hidden;
        background: var(--color-rose-20);
    }

    .app-invite--container {
        padding: 10px 12px;
        gap: 5px;
    }

    .app-invite .icon-close {
        width: 24px;
        height: 24px;
    }

    .app-invite .btn {
        padding: 3px 14px;
    }

    .app-invite--content {
        gap: 10px;
        line-height: 143%;
        letter-spacing: 0.3px;
    }

    .mobile-header {
        padding: 13px 12px;
        border-bottom: 1px solid var(--color-default-5);
    }

    .mobile-header .icon {
        font-size: 29px;
    }

    .mobile-header-row {
    }

    .mobile-header-row > * {
        gap: 16px
    }


    /* start:Mobile Menu */
    .mobile-menu-block {
        position: absolute;
        padding-top: 60px;
        padding-bottom: 120px;
        top: 0;
        left: -100%;
        background: var(--color-default-white);
        width: 100%;
        height: 100vh;
        transition: left var(--open-mmenu-speed);
        z-index: 90;
    }

    .mobile-menu-block.open {
        left: 0;
    }

    .mobile-menu-header-row {
        top: 0;
        padding: 12px 15px;
        border-bottom: 1px solid var(--color-default-5);
        background: var(--color-default-white);
        z-index: 10;
    }

    .mobile-menu-header-row > * {
        gap: 10px
    }

    .mobile-menu {
        overflow-y: auto;
        height: 100%;
    }

    .mobile-menu ul + ul {
        margin-top: 20px;
    }

    ul.menu-level-1 {
        padding: 0;
    }

    .mobile-menu ul {
        list-style-type: none;
    }

    ul.menu-level-1 > li {
        font-size: 16px;
        padding: 10px 12px;
        border-bottom: 1px solid var(--color-default-5);
    }

    ul.menu-level-1 > li .mobile-menu-item {}

    ul.menu-level-1 > li .mobile-menu-item a {
        gap: 10px;
    }

    ul.menu-level-1 > li .mobile-menu-item.open a {
        color: var(--color-rose-100);
    }

    /** child dropdown **/

    ul.menu-level-1 > li:has(ul) {}

    ul.menu-level-1 > li:has(ul) .mobile-menu-item::after {
        content: "\e93d";
        font-size: 18px;
        font-family: 'icon';
        color: var(--color-default);
        transition: transform var(--angle-delay);
        margin-left: auto;
    }

    ul.menu-level-1 > li:has(ul) .mobile-menu-item.open::after {
        color: var(--color-rose-100);
        transform: var(--angle-effect);
    }

    .mobile-menu-child {
        height: 0;
        overflow: hidden;
        transition: height var(--open-mmenu-speed);
    }

    .mobile-menu-child > ul > li {
        font-size: 0.8125em;
    }

    .mobile-menu-child > ul {
        padding-left: 34px;
    }

    .mobile-menu-child > ul > li:not(:last-child){
        margin-top: 7px;
        margin-bottom: 10px;
    }
    /** end child dropdown **/

    .mobile-menu .icon {
        color: var(--color-rose-100);
    }

    .menu-contacts {
        bottom: 0;
        padding: 12px 24px;
        gap:18px;
        background: var(--color-rose-5);
    }

    .menu-contacts .icon {
        font-size: 20px;
        color: var(--color-default);
    }

    /* end:Mobile Menu */

    .about-delivery {
        padding: 5px 9px;
        margin: 4px 0 0;
        position: relative;
    }

    /* start:Mobile Search */
    .result--item-price {
        margin-top: 5px;
    }
    /* end:Mobile Search */

    /* start:welcome card */
    .welcome-popup .welcome-card {
        height: auto;
    }
    /* end:welcome card */

    /* start:Mobile Footer*/

    .mobile_footer {
        width: 100%;
        bottom: 0;
        grid-template-columns: repeat(4, 25%);
        height: 70px;
        border-top: 1px solid var(--color-default-20);
        background: var(--color-default-white);
        text-align: center;
        z-index: 80;
    }

    .mobile_footer-item {
        display: flex;
        justify-content: center;
        padding: 13px;
        align-items: center;
    }

    .mobile_footer-icon {
        position: relative;
    }

    .right-icons--count {
        width: 16px;
        height: 16px;
        background: var(--color-rose-80);
        right: -6px;
        top: -2px;
    }

    .mobile_footer-item a {
        font-size: 10px;
        font-weight: 500;
        line-height: 12px;
        color: var(--color-default-60);
        gap: 5px;
    }

    .mobile_footer-item .icon {
        color: var(--color-default-60);
    }

    .mobile_footer-item.active a,
    .mobile_footer-item.active .icon {
        color: var(--color-rose-100);
    }

    footer {
        padding-bottom: 83px;
    }

    .footer-social {
        margin: 0;
    }

    .cookie-modal {
        bottom: 83px;
    }

    .alert {
        margin-bottom: 16px;
    }

    .accent-layer {
        gap: 10px;
    }

    .map-row {
        padding-top: 0;
    }

    .map-gap {
        gap: 10px 0;
    }

    .accent-layer-4 {
        flex-flow: row wrap;
    }

    .accent-layer-4 .accent-block {
        flex-basis: calc(50% - 15px);
    }

    .accent-delivery-layer {
        gap: 25px;
    }

    .accent-delivery {
        flex-basis: calc(33% - 15px);
    }

    .map-gap {
        gap: 16px 0;
    }

    .accent-contacts-layer {
        margin-bottom: 0;
    }
}

@media screen and (max-width: 767px) {
    h1, .h1,
    h2, .h2 {
        margin-bottom: 3px;
    }

    .qr-slogan {
        margin-top: 12px;
        margin-bottom: 8px;
    }

    .get-app-block {
        padding-top: 12px;
        gap: 12px;
        padding-bottom: 14px;
    }

    .user-agreement {
        margin-top: 26px;
    }

    .shadow-image {
        width: calc(100% - 10px);
        margin-left: 10px;
    }

    .shadow-image img {
        width: 100%;
        height: auto;
    }

    .accent-layer {
        flex-wrap: wrap;
        margin-top: 16px;
        margin-bottom: 16px;
    }

    .accent-layer .accent-block {
        flex-basis: 100%;
        margin: 0;
    }

    .accent-layer-4 {
        flex-wrap: wrap;
        gap: 16px;
        margin-bottom: 16px;
    }

    .accent-layer-4 .accent-block {
        flex-basis: 100%;
    }

    .map-row {
        order: 2;
        gap: 12px;
    }

    .courier-row {
        order: 1;
    }

    .delivery-row {
        order: 2;
    }

    .map-gap {
        margin-top: 0;
        gap: 0;
    }

    .delivery-zone {
        gap: 12px;
    }

    .delivery-zone-item::before {
        margin-top: 0;
    }

    .delivery-note {
        margin-top: 0;
        line-height: 24px;
    }

    .delivery-note.m-sub-title {
        font-weight: 600;
    }

    .accent-delivery-layer {
        gap: 10px;
    }

    .accent-delivery {
        flex-basis: 100%;
    }

    .accent-contacts-layer {
        flex-flow: row;
        overflow: auto;
    }

    .accent-contacts-layer::-webkit-scrollbar {
        display: none;
    }

    .accent-contacts {
        min-width: 145px;
    }
}